#include "MainWindow.hpp"
#include "SDL.hpp"
#include "DumpDVD.hpp"

#include <iostream>
#include <string>
#include <vector>


namespace Li::Gui {
	MainWindow::MainWindow() {
		this->sdl = new SDL("DumpDVD", 800, 400);
		this->sdl->SetMaxFPS(24.0);

		DumpDVD* dumpDvdMenu = new DumpDVD();
		while (!this->sdl->IsExiting()) {
			this->sdl->PollEvent();
			this->sdl->NewFrame();

			dumpDvdMenu->RenderUI();

			this->sdl->Render();
		}

		delete dumpDvdMenu;
	}

	MainWindow::~MainWindow() {

	}

}